[RESOLU] Samba 4.13.z et 4.14.z sur EL7/Centos7

Venez ici partager vos astuces et aides autour de Samba4
ElCoyote
Messages : 13
Inscription : 02 mai 2018 - 20:58

08 juin 2021 - 17:02

Bonjour,

Tout d'abord, merci de vos rpms livrés avec leurs sources rpms.

Suite a un soucis avec mes builds de 4.14.5 pour EL7, je me suis rendu compte qu'il y avait probablement un probleme insoluble avec gnutls sous RHEL7 (7.9) et samba 4.13.z/4.14.z
Comme vous (Tranquil IT) etes visiblement arrivés aux mêmes conclusions, j'aimerais savoir si vous auriez un peu plus de détails sur le probleme?

En regardant http://samba.tranquil.it/centos7/ et http://samba.tranquil.it/centos8, je vois bien que vous avez arrêté de produire des rpms pour EL7 apres samba 4.12.z, j'aurais du regarder vos repos avant. :) (j'ai produit toute une série de rpms pour 4.13.z EL7 sans les essayer, ils sont sans doute tous cassés).

Si vous aviez qq infos pour qu'au moins je sache a postériori ce qu'il s'est passé avec gnutls en EL7 et Samba 4.13+...

C'est juste par curiosité, maintenant j'ai LEAPP mes build chains en EL8.4.

Merci,

Vincent
Avatar de l’utilisateur
dcardon
Expert WAPT
Messages : 603
Inscription : 18 juin 2014 - 09:58
Localisation : Nantes
Contact :

08 juin 2021 - 19:15

Bonjour,
il commençait à y avoir trop de package à backporter pour que ça fonctionne correctement. Et j'avoue que je ne me rappelle plus à quel moment on a jeté l'éponge... De plus le passage en EL8 simplifie très fortement la compatibilité avec les paquets upstream de chez Fedora et a permis de simplifier grandement le portage.
Cordialement,
Denis
Denis Cardon - Tranquil IT
Communiquez autour de vous sur WAPT! Envoyez nous vos url de blog et d'articles dans la catégorie votre avis du forum, nous les mettrons en avant sur le site WAPT
ElCoyote
Messages : 13
Inscription : 02 mai 2018 - 20:58

08 juin 2021 - 20:46

Bonjour Denis,
J'ai l'impression que vous avez du jeter l'éponge avant 4.13.z. (j'aurais du, aussi....)
Je viens de le faire aussi..
étrangement, pour builder sous RHEL8 mais sans EPEL, il m'a fallu pas mal de packages.
Je vais comparer nos .specs pour voir ou on en est.
Merci,
Vincent
Avatar de l’utilisateur
dcardon
Expert WAPT
Messages : 603
Inscription : 18 juin 2014 - 09:58
Localisation : Nantes
Contact :

15 juin 2021 - 12:19

On active EPEL par défaut pour nos build EL7 ou EL8 donc on a pas eu de soucis de paquet manquant. On est repartis des .spec de fedora plutôt que d'upgrader nos .spec de Centos7 car il y a plein de choses qui sont plus simple avec des versions de paquet à jour...
Denis Cardon - Tranquil IT
Communiquez autour de vous sur WAPT! Envoyez nous vos url de blog et d'articles dans la catégorie votre avis du forum, nous les mettrons en avant sur le site WAPT
Répondre